solarOSsolarOS Docs

Soft-delete an API-authored Activity

Soft-deletes an Activity and hides it from normal feeds. Only the API key that authored it can delete it.

DELETE
/activities/{id}

Soft-deletes an Activity and hides it from normal feeds. Only the API key that authored it can delete it.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Activity identifier returned by the Organization API.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/activities/string"
{  "data": {    "action": {      "confirmed": true,      "confirmationSignal": "string"    },    "resource": {}  },  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}